efl::vg::shape Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
efl::vg::shape Struct Reference

Class shape. More...

## Public Member Functions
| shape (Eo *eo)
| Eo Constructor. More...
| shape (std::nullptr_t)
| nullptr_t Constructor. More...
| shape (shape const &other)
| Copy Constructor.
Efl_VG * | fill_get () const
void | fill_set (Efl_VG *f_) const
Efl_VG * | stroke_fill_get () const
void | stroke_fill_set (Efl_VG *f_) const
Efl_VG * | stroke_marker_get () const
void | stroke_marker_set (Efl_VG *m_) const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Obj is being deleted.
template<typename T >
void | callback_del_call (T *info)
| Obj is being deleted.
| shape (::efl::eo::parent_type _p)
| Constructs a new efl::vg::shape object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from efl::gfx::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | position_get (int *x_, int *y_) const
| Retrieves the position of the given Evas object. More...
void | position_set (int x_, int y_) const
| Move the given Evas object to the given location inside its canvas' viewport. More...
void | size_get (int *w_, int *h_) const
| Retrieves the (rectangular) size of the given Evas object. More...
void | size_set (int w_, int h_) const
| Changes the size of the given Evas object. More...
void | color_get (int *r_, int *g_, int *b_, int *a_) const
| Retrieves the general/main color of the given Evas object. More...
void | color_set (int r_, int g_, int b_, int a_) const
| Sets the general/main color of the given Evas object to the given one. More...
bool | color_part_get (::efl::eina::string_view part_, int *r_, int *g_, int *b_, int *a_) const
| Retrieves a specific color of the given Evas object. More...
bool | color_part_set (::efl::eina::string_view part_, int r_, int g_, int b_, int a_) const
| Sets a specifc color of the given Efl.Gfx.Base object to the given one. More...
bool | visible_get () const
| Retrieves whether or not the given Evas object is visible. More...
void | visible_set (bool v_) const
| Makes the given Evas object visible or invisible. More...
| base (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::base object. More...
Public Member Functions inherited from efl::gfx::shape
| shape (Eo *eo)
| Eo Constructor. More...
| shape (std::nullptr_t)
| nullptr_t Constructor. More...
| shape (shape const &other)
| Copy Constructor.
void | dup (::efl::eo::concrete dup_from_) const
| Copy the shape data from the object specified . More...
void | bounds_get (Eina_Rectangle *r_) const
| Compute and return the bounding box of the currently set path. More...
void | reset () const
| Reset the shape data of the shape object. More...
void | append_move_to (double x_, double y_) const
| Moves the current point to the given point, implicitly starting a new subpath and closing the previous one. More...
void | append_line_to (double x_, double y_) const
| Adds a straight line from the current position to the given endPoint. More...
void | append_quadratic_to (double x_, double y_, double ctrl_x_, double ctrl_y_) const
| Adds a quadratic Bezier curve between the current position and the given end point (x,y) using the control points specified by (ctrl_x, ctrl_y). More...
void | append_squadratic_to (double x_, double y_) const
| Same as efl_gfx_path_append_quadratic_to() api only difference is that it uses the current control point to draw the bezier. More...
void | append_cubic_to (double x_, double y_, double ctrl_x0_, double ctrl_y0_, double ctrl_x1_, double ctrl_y1_) const
| Adds a cubic Bezier curve between the current position and the given end point (x,y) using the control points specified by (ctrl_x0, ctrl_y0), and (ctrl_x1, ctrl_y1). More...
void | append_scubic_to (double x_, double y_, double ctrl_x_, double ctrl_y_) const
| Same as efl_gfx_path_append_cubic_to() api only difference is that it uses the current control point to draw the bezier. More...
void | append_arc_to (double x_, double y_, double rx_, double ry_, double angle_, bool large_arc_, bool sweep_) const
| Append an arc that connects from the current point int the point list to the given point (x,y). More...
void | append_close () const
| Closes the current subpath by drawing a line to the beginning of the subpath, automatically starting a new path. More...
void | append_circle (double x_, double y_, double radius_) const
| Append a circle with given center and radius. More...
void | append_rect (double x_, double y_, double w_, double h_, double rx_, double ry_) const
| Append the given rectangle with rounded corner to the path. More...
void | append_svg_path (::efl::eina::string_view svg_path_data_) const
bool | interpolate (const Eo *from_, const Eo *to_, double pos_map_) const
bool | equal_commands (const Eo *with_) const
double | stroke_scale_get () const
| Get the stroke scaling factor used for stroking this path. More...
void | stroke_scale_set (double s_) const
| Sets the stroke scale to be used for stroking the path. More...
void | stroke_color_get (int *r_, int *g_, int *b_, int *a_) const
| Gets the color used for stroking the path. More...
void | stroke_color_set (int r_, int g_, int b_, int a_) const
| Sets the color to be used for stroking the path. More...
double | stroke_width_get () const
| Gets the stroke width to be used for stroking the path. More...
void | stroke_width_set (double w_) const
| Sets the stroke width to be used for stroking the path. More...
double | stroke_location_get () const
| Not Implemented. More...
void | stroke_location_set (double centered_) const
| Not Implemented. More...
void | stroke_dash_get (const Efl_Gfx_Dash **dash_, unsigned int *length_) const
| Not Implemented. More...
void | stroke_dash_set (const Efl_Gfx_Dash *dash_, unsigned int length_) const
| Not Implemented. More...
Efl_Gfx_Cap | stroke_cap_get () const
| Gets the cap style used for stroking path. More...
void | stroke_cap_set (Efl_Gfx_Cap c_) const
| Sets the cap style to be used for stroking the path. More...
Efl_Gfx_Join | stroke_join_get () const
| Gets the join style used for stroking path. More...
void | stroke_join_set (Efl_Gfx_Join j_) const
| Sets the join style to be used for stroking the path. More...
void | path_get (const Efl_Gfx_Path_Command **op_, const double **points_) const
| Gets the command and points list. More...
void | path_set (const Efl_Gfx_Path_Command *op_, const double *points_) const
| Set the list of commands and points to be used to create the content of shape. More...
void | path_length_get (unsigned int *commands_, unsigned int *points_) const
void | current_get (double *x_, double *y_) const
void | current_ctrl_get (double *x_, double *y_) const
| shape (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::shape object. More...
Public Member Functions inherited from efl::gfx::stack
| stack (Eo *eo)
| Eo Constructor. More...
| stack (std::nullptr_t)
| nullptr_t Constructor. More...
| stack (stack const &other)
| Copy Constructor.
void | stack_below (Efl_Gfx_Stack *below_) const
| Stack `obj` immediately below `below`. More...
void | raise () const
| Raise `obj` to the top of its layer. More...
void | stack_above (Efl_Gfx_Stack *above_) const
| Stack `obj` immediately above `above`. More...
void | lower () const
| Lower `obj` to the bottom of its layer. More...
short | layer_get () const
| Retrieves the layer of its canvas that the given object is part of. More...
void | layer_set (short l_) const
| Sets the layer of its canvas that the given object will be part of. More...
Efl_Gfx_Stack * | below_get () const
| Get the Evas object stacked right below `obj`. More...
Efl_Gfx_Stack * | above_get () const
| Get the Evas object stacked right above `obj`. More...
| stack (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::stack object. More...
Public Member Functions inherited from efl::vg::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | bounds_get (Eina_Rectangle *r_) const
| Give the bounding box in screen coordinate as being drawn. More...
const Eina_Matrix3 * | transformation_get () const
| Gets the transformation matrix used for this node object. More...
void | transformation_set (const Eina_Matrix3 *m_) const
| Sets the transformation matrix to be used for this node object. More...
void | origin_get (double *x_, double *y_) const
| Gets the origin position of this node object. More...
void | origin_set (double x_, double y_) const
| Sets the origin position of this node object. More...
Efl_VG * | mask_get () const
void | mask_set (Efl_VG *m_) const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Obj is being deleted.
template<typename T >
void | callback_del_call (T *info)
| Obj is being deleted.
| base (::efl::eo::parent_type _p)
| Constructs a new efl::vg::base object. More...
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | event_callback_forwarder_del (const Eo_Event_Description *desc_,::efl::eo::concrete new_obj_) const
| Remove an event callback forwarder for an event and an object. More...
void | event_thaw () const
| thaw events of object. More...
void | event_freeze () const
| freeze events of object. More...
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
| Del a callback array with a specific data associated to it for an event. More...
void | wref_del (Eo **wref_) const
| Delete the weak reference passed. More...
void | destructor () const
| Call the object's destructor. More...
::efl::eo::concrete | finalize () const
| Called at the end of #eo_add. More...
void | key_data_set (::efl::eina::string_view key_, const void *data_, eo_key_data_free_func free_func_) const
| Set generic data to object. More...
void * | key_data_get (::efl::eina::string_view key_) const
| Get generic data from object. More...
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
| Del a callback with a specific data associated to it for an event. More...
void | key_data_del (::efl::eina::string_view key_) const
| Del generic data from object. More...
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
| Add a callback array for an event with a specific priority. More...
void | wref_add (::efl::eo::concrete *wref_) const
| Add a new weak reference to obj. More...
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
| Get dbg information from the object. More...
void | event_callback_forwarder_add (const Eo_Event_Description *desc_,::efl::eo::concrete new_obj_) const
| Add an event callback forwarder for an event and an object. More...
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
| Call the callbacks for an event of an object. More...
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
| Add a callback for an event with a specific priority. More...
Eina_Iterator * | children_iterator_new () const
| Get an iterator on all childrens.
bool | composite_attach (::efl::eo::concrete comp_obj_) const
bool | composite_detach (::efl::eo::concrete comp_obj_) const
bool | composite_part_is () const
::efl::eo::concrete | parent_get () const
| Get the parent of an object. More...
void | parent_set (::efl::eo::concrete parent_) const
| Set the parent of an object Parents keep references to their children so in order to delete objects that have parents you need to set parent to NULL or use eo_del() that does that for you (and also unrefs the object). More...
int | event_global_freeze_count_get () const
| return freeze events of object. More...
int | event_freeze_count_get () const
| return freeze events of object. More...
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Obj is being deleted.
template<typename T >
void | callback_del_call (T *info)
| Obj is being deleted.
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::base
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::shape
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::stack
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::vg::base
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_freeze ()
| freeze events of object. More...
static void | event_global_thaw ()
| thaw events of object. More...
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class shape.

## Constructor & Destructor Documentation

efl::vg::shape::shape | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new efl::vg::shape object.

Constructs a new efl::vg::shape object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

efl::vg::shape my_shape(efl::eo::parent = parent_object);

See also
  shape(Eo* eo)

efl::vg::shape::shape | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

efl::vg::shape::shape | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

Efl_VG* efl::vg::shape::fill_get | ( |  | ) | const

Parameters

  f |

void efl::vg::shape::fill_set | ( | Efl_VG * | f_ | ) | const

Parameters

  f |

Efl_VG* efl::vg::shape::stroke_fill_get | ( |  | ) | const

Parameters

  f |

void efl::vg::shape::stroke_fill_set | ( | Efl_VG * | f_ | ) | const

Parameters

  f |

Efl_VG* efl::vg::shape::stroke_marker_get | ( |  | ) | const

Parameters

  m |

void efl::vg::shape::stroke_marker_set | ( | Efl_VG * | m_ | ) | const

Parameters

  m |